<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="no" encoding="UTF-8"/>


<xsl:template match="/character">
	<body bgcolor="white"/>

	<xsl:if test="spells/spell">
		<xsl:for-each select="spells-known/class">
			<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="20%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
			</tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:9pt"><b>LEVEL</b></font></td>
				<xsl:for-each select="spells-per-day/level">
					<td align="center">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="@name"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:7pt">SPELL SAVE DC</font></td>
				<xsl:for-each select="spell-save-dc/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:7pt">SPELLS KNOWN</font></td>
				<xsl:for-each select="number-spells-known/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:7pt">SPELLS PER DAY</font></td>
				<xsl:variable name="bonus" select="bonus-spells-per-day"/>
				<xsl:for-each select="spells-per-day/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/>
							<xsl:variable name="name" select="@name"/>
							<xsl:if test="$bonus/level[@name = $name]/@value != '0'">
								+ <xsl:value-of select="$bonus/level[@name = $name]/@value"/>
							</xsl:if>
							<br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:6pt"><br/></font></td></tr>
			</table>

			<table align="top" border="0" cellpadding="1" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="5%"></td>
				<td width="14%"></td>
				<td width="12%"></td>
				<td width="10%"></td>
				<td width="10%"></td>
				<td width="12%"></td>
				<td width="5%"></td>
				<td width="4%"></td>
				<td width="2%"></td>
				<td width="26%"></td>
			</tr>
			<tr>
				<td align="center" colspan="10" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>SPELLS - <xsl:value-of select="full-name"/></b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">School</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Components</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Time</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Range</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Duration</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Save</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Resistance</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 2px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Desc</font>
				</td>
			</tr>

			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="0"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="1"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="2"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="3"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="4"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="5"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="6"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="7"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="8"/>
			</xsl:call-template>
			<xsl:call-template name="spell-level">
				<xsl:with-param name="current-level" select="9"/>
			</xsl:call-template>

			<tr>
				<td align="center" colspan="10" style="border-top: 1px solid black"><br/></td>
			</tr>
			</table>
			<br style="page-break-after: always"/>
		</xsl:for-each>
	</xsl:if>
</xsl:template>


<xsl:template name="spell-level">
	<xsl:param name="current-level"/>

	<xsl:variable name="classname" select="./name"/>
	<xsl:if test="count(spell[level = $current-level]) > 0">
		<xsl:for-each select="spell[level = $current-level]">
		<tr>
			<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black">
			<xsl:variable name="spellname" select="./name"/>
			<xsl:variable name="prepared" select="//spells-prepared/class[name = $classname]"/>
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$prepared/spell[name = $spellname]/count"/><br/></font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<xsl:choose>
			<xsl:when test="position() = 1">
				<font face="Verdana" style="font-size:8pt" color="black"><b>
				<xsl:text> </xsl:text><xsl:value-of select="$current-level"/>:</b></font>
			</xsl:when>
			</xsl:choose>
			<font face="Verdana" style="font-size:8pt" color="black"><xsl:text> </xsl:text><xsl:value-of select="./name"/></font>
			</td>

			<xsl:variable name="info" select="//spells/spell[name = $spellname]"/>

			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/school"/><br/></font>
			<xsl:if test="$info/descriptors > 0">
				[<xsl:value-of select="$info/descriptors"/>]
			</xsl:if>
			</td>

			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/components"/><br/></font>
			</td>

			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/casting-time"/><br/></font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/range"/><br/></font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/duration"/><br/></font>
			</td>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/save"/><br/></font>
			</td>

			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/resistance"/><br/></font>
			</td>

			<td style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 2px solid black">
			<font face="Verdana" style="font-size:7pt" color="black"><xsl:value-of select="$info/short-description"/><br/></font>
			</td>
		</tr>
		</xsl:for-each>
	</xsl:if>
</xsl:template>


<xsl:template match="level">
	<xsl:choose>
		<xsl:when test=". = '0'"><b>0: </b></xsl:when>
		<xsl:when test=". = '1'"><b>1st: </b></xsl:when>
		<xsl:when test=". = '2'"><b>2nd: </b></xsl:when>
		<xsl:when test=". = '3'"><b>3rd: </b></xsl:when>
		<xsl:otherwise>
			<b><xsl:value-of select="."/>th: </b>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


</xsl:stylesheet>

